% Lateral LQR Design
init
Q= [1, 0.1, 0.001, 40]; Q=diag(Q);                     % Weight Matrices Q, R
R= [1, 5]; R=diag(R); 
Kg = lqr(Ad,Bd,Q,R)                                    % Lateral State-Feedback Matrix
%Kg =[2.8186    2.4399  -14.5093    6.1944
%     0.5102    3.5601   -7.5662    0.5709]

% Beta Estimator Parameters
Qbar=150; Mass=198.32; Sref= 79.069; Cyb=-0.0245;  
Cydel= [-0.24668,0.24668, 0.47413,-0.47413]/100;       % Cy due to deflect
