label='Rocket-Plane Lateral System Response to Phi_{cmd}=10 (deg) and Side-Gust';
%------------------------------------------
r2d= 180/pi;
figure (1)
subplot(2,1,1), plot(time,gust, 'LineWidth',1.5)
title(label)
ylabel('Gust Veloc (ft/s)')

subplot(2,1,2), plot(time,phi*r2d, 'LineWidth',1.5)
ylabel('phi (deg)')
xlabel('Time')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(time,delta, 'LineWidth',1.5)
title(label)
ylabel('Surf Deflect (deg)')
legend('Left Flap','Right Flap','Left Rudder','Right Rudder');

subplot(2,1,2), plot(time,p*r2d,'b', time,r*r2d,'r', 'LineWidth',1.5)
ylabel('Roll/Yaw Rate (d/s)')
legend('Roll rate (P)','Yaw Rate (R)');
xlabel('Time')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(time,beta*57.295,'b', time,bethat*57.295,'r', 'LineWidth',1.5)
title(label)
ylabel('Beta, Estimate (deg)')
legend('Beta','Beta Estim.')

subplot(2,1,2), plot(time,Ny, 'LineWidth',1.5)
ylabel('Ny Acceler (ft/s^2)')
xlabel('Time')
%------------------------------------------
