% Initialization File (init.m)
d2r=pi/180; r2d=180/pi;
[Ap,Bp,Cp,Dp]=vehi_coupled_rb;                         % Pitch & Lateral Simulation Model
load K4axmix.mat K4axmix -ascii                        % Throttle/ Surface Mix Logic
load Kq.mat   Kq  -ascii                               % Pitch State-Feedback Matrix
load Kpr.mat  Kpr -ascii                               % Later State-Feedback Matrix
zet=0.6; omg=40;                                       % Actuator Model
Aact=[0, 1; -omg^2, -2*zet*omg]; Bact=[0; omg^2];
Cact=[1,0]; Dact=0;

% Alpha Estimator Parameters
Qbar=150; Mass=198.32; Sref=79.069; V0=822.8;
Cza=-0.073; Cyb=-0.0245;
Cydel= [-0.24668,0.24668, 0.47413,-0.47413,0]/100;     % Cy due to surf deflect
Czdel= [0.51664,0.51664,0.60478,0.60478,0.06]/100;     % Cz due to contrl surface
