% Initialization File
d2r=pi/180; r2d=180/pi;
[Avf, Bvf, Cvf, Dvf] =vehi_30flx;                     % Load Flex Vehicle Model
[Ardr,Brdr,Crdr,Drdr]=rudder_ema;                     % Load Rudder Electro-Mechan Actuator
[Afla,Bfla,Cfla,Dfla]=flap_ema;                       % Load Flap   Electro-Mechan Actuator
[Abfp,Bbfp,Cbfp,Dbfp]=bodyflap_ema;                   % Load Rudder Electro-Mechan Actuator
load K4axmix.mat K4axmix -ascii                       % Engine + AeroSurface Mixing Logic
load Kq.mat  Kq  -ascii                               % Pitch   LQR Gains
load Kpr.mat Kpr -ascii                               % lateral LQR Gains

% Alpha-Beta Estimator Parameters
Qbar=150; Mass=198.32; Sref=79.069; V0=822.8;
Cza=-0.073; Cyb=-0.0245;
Cydel= [-0.24668,0.24668, 0.47413,-0.47413,0]/100;    % Cy due to surf deflect
Czdel= [0.51664,0.51664,0.60478,0.60478,0.06]/100;    % Cz due to contrl surface

