% Flap EMA Type-B Actuator Model
r2d= 180/pi; d2r=pi/180;
Kload= 0.5e+6;                      %  Load Stiffness (lb/ft) Kload=456000
Kback= 0.5e+6;                      %  Backup Structure Stiffn Kback=456000
Kact = 2.0e+6;                         %  Actuator Shaft Stiffn + Electric Kact= 200000.0
Kti=(1/Kload)+(1/Kback)+(1/Kact); 
Kli=(1/Kload)+(1/Kback); 
Kt=1/Kti;                           %  Total Stiffness
Kl=1/Kli;                           %  Stiffness of Load + Backup
Kp= 60;                             %  PID gain
Ki= 10;                             %  Integrator gain
Krfb= 0.00045;                      %  Rate Feedback Gain
Kratlm= 20.0;                       %  Controller Rate Limit
Kw=20;                              %  Anti-windup gain
Vlim= 20;                           %  Controller Output Voltage Limit volts
R= 0.4;                             %  Moment Arm (ft) R= 0.4
Je= 0.4;                            %  Flap Inertia Je= 0.4 (sl-ft^2)
Ja= 4.6e-4;                         %  Gear plus Screw Inertia Ja
Jm= 2.0e-5;                         %  Flap Motor Inertia
Be= 30;                             %  Load Damping Be=30
Kv= 100;                            %  Motor Torque Gain (ft-lb/volt)
Kvl= 0.05;                          %  Motor Loading (rad/sec per ft-lb)
Wmb= 1200;                          %  Motor Bandwidth (rad/sec)
Kmfr= 0.03;                         %  Motor Friction
Keff= 0.8;                          %  Motor Gear Effectiveness 0.85
Kgs= 350;                           %  Gear Stiffness Kgs=80
Nscrew= 0.0026;                     %  Screw Ratio Nscrew=0.0026 (ft/rad)
Ngear= 10.25;                       %  Gear Ratio Ngear
Kdmp= 0.004;                        %  Shaft Damping Kdmp

