% Body-Flap EMA Type-B Actuator Model
r2d= 180/pi; d2r=pi/180;
Kload=300000.0;                     %  (lb/inch) (Load Stiffness) Kload=271000.0
Kback=300000.0;                     %            (Backup Structure) Kback=700000.0
Kact= 2.0e+6;                       %            (Actuator Stiffness) Kact= 200000.0
Kti=(1/Kload)+(1/Kback)+(1/Kact); 
Kli=(1/Kload)+(1/Kback); 
Kt=12/Kti;                          %  Total Stiffness (lb/ft)
Kl=12/Kli;                          %  Stiffness of Load + Backup (lb/ft)
Kp= 140;                            %  PID gain
Ki= 5.0;                            %  PID gain
Krfb= 0.0005;                       %  Rate Feedback Gain 0.0005
Kratlm= 0.1;                        %  Controller Rate Limit
Kw=0;                               %  Anti-windup gain
Vlim= 100;                          %  Controller Output Voltage Limit volts
R= 0.287;                           %  Moment Arm (ft) R
Je= 2.2;                            %  Body-Flap Inertia (slug-ft2) Je
Ja= 2.0e-4;                         %  Gear plus Screw Inertia (lb-ft-sec2) 
Be= 25;                             %  Damp Be (ft-lb-sec) 20
Kv= 260;                            %  Motor Gain (ft-lb/volt)
Jm= 5.0e-5;                         %  Motor Rotor Mom Inertia (lb-ft-sec2) 
Kvl= 0.51;                          %  Motor Loading (rad/sec per ft-lb)
Wmb= 1500;                          %  Motor Bandwidth (rad/sec) 1800
Kmfr= 0.03;                         %  Motor/Gear Friction
Keff= 0.85;                         %  Motor Gear Effectiveness 0.85
Kgs= 400.0;                         %  Gear Stiffness Kgs
Nscrew= 0.0026;                     %  Screw Ratio Nscrew (ft/rad)
Ngear= 10.2;                        %  Gear Ratio Ngear
Kdmp= 0.001;                        %  Shaft Damping Kdmp= 0.285

