% Initialization File  
d2r=pi/180; r2d=180/pi;
[Ap,Bp,Cp,Dp]= vehi_pitch_rb;                         % Pitch Rigid Body Model
[Ad,Bd,Cd,Dd]= vehi_pdes_4x;                          % LQR Design Model
load Kmix_qa.mat Kmix_qa -ascii                       % Throttle/Control Surface Mix
load Kq.mat      Kq      -ascii                       % LQR State-Feedback Matrix

zet=0.7; omg=40;                                      % Actuator Model
Aact=[0, 1; -omg^2, -2*zet*omg]; Bact=[0; omg^2];
Cact=[1, 0]; Dact=0;

% Alpha Estimator Parameters
Qbar=150; Mass=198.32; Sref= 79.069; Cza=-0.073;  
Czelv=[0.51664,0.51664,0.60478,0.60478,0.06]/100;     % Cz for the 5 control surfaces
