label='Rocket-Plane Longitudinal Response to Gust, delta H and delta V Commands';
%------------------------------------------
r2d= 180/pi;
figure (1)
subplot(2,1,1), plot(time,gust, 'LineWidth',1.5)
title(label)
ylabel('Gust Vel (ft/s)')

subplot(2,1,2), plot(time,q*r2d, 'LineWidth',1.5)
ylabel('Ptch Rate (d/s)')
xlabel('Time')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(time,delta, 'LineWidth',1.5)
title(label)
ylabel('Surf Deflect (deg)')
legend('Left Flap','Right Flap','Left Rudder','Right Rudder','Body-Flap');

subplot(2,1,2), plot(time,throt, 'LineWidth',1.5)
ylabel('Throttle Comd (0-1)')
xlabel('Time')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(time,dH, 'LineWidth',1.5)
title(label)
ylabel('Altitude (feet)')

subplot(2,1,2), plot(time,Vel, 'LineWidth',1.5)
ylabel('Gr.Veloc (ft/sec)')
xlabel('Time')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(time,gamma*r2d, time,theta*r2d, time,alfa*r2d,'r', 'LineWidth',1.5)
title(label)
ylabel('Attitude (deg)')
legend('Gamma','Theta','Alpha');

subplot(2,1,2), plot(time,Accl/32.2, 'LineWidth',1.5)
ylabel('Ax,Nz Acceler (g)')
legend('Ax','Nz');
xlabel('Time')
%------------------------------------------