% Initialization File
d2r=pi/180; r2d=180/pi;
[Ap,Bp,Cp,Dp]= vehi_rblat;                             % Analysis Model
[Ad,Bd,Cd,Dd]= vehi_lat_4x;                            % LQR Design Model
load Kmix.mat Kmix -ascii                              % Control Surface Mix Logic
load Kpr.mat  Kpr -ascii                               % Later State-Feedback Matrix
zet=0.6; omg=50;                                       % Actuator Model
Aact=[0, 1; -omg^2, -2*zet*omg]; Bact=[0; omg^2];
Cact=[1, 0]; Dact=0;

% Beta Estimator Parameters
Qbar=150; Mass=198.32; Sref= 79.069; Cyb=-0.0245;  
Cydel= [-0.24668,0.24668, 0.47413,-0.47413]/100;       % Cy due to deflect
