label='Non-Linear Body-Flap Actuator Response to an External Load Torque';
label='Non-Linear Body-Flap Actuator Response to 10 (deg) step command';
r2d= 180/pi;
%------------------------------------------
figure (1)
plot(time,delc, time,delta*r2d, 'LineWidth',1.5)
title(label)
ylabel('Flap Deflection (deg)')
xlabel('Time')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(time,deldot*r2d, 'LineWidth',1.5)
title(label)
ylabel('Body-Flap Rate (deg/s)')

subplot(2,1,2), plot(time,FL, 'LineWidth',1.5)
ylabel('Act Shaft Force (lb)')
xlabel('Time')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(time,V, 'LineWidth',1.5)
title(label)
ylabel('Motor Voltage')

subplot(2,1,2), plot(time,mrat/6.283, 'LineWidth',1.5)
ylabel('Motor Speed (rpm)')
xlabel('Time')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(time,Tm, 'LineWidth',1.5)
title(label)
ylabel('Torque on Screw (ft-lb)')

subplot(2,1,2), plot(time,Xp, 'LineWidth',1.5)
ylabel('Shaft Extension (feet)')
xlabel('Time')
%------------------------------------------
figure (5)
subplot(2,1,1), plot(time,deldd*r2d, 'LineWidth',1.5)
title(label)
ylabel('Body-Flap Accelerat (deg/s^2)')

subplot(2,1,2), plot(time,TL, 'LineWidth',1.5)
ylabel('External Torque (ft-lb)')
xlabel('Time')
%------------------------------------------